Name: ocamlnet
Version: 2.2.9
Release: alt5
Packager: Veaceslav Grecea <slavutich@altlinux.org>

Summary: Network library for OCaml
License: Distributable
Group: Development/ML
Url: http://ocamlnet.sourceforge.net

Source: http://www.ocaml-programming.de/packages/%name-%version.tar.gz
Patch: ocamlnet-2.2.4-alt-inst.patch
Patch1: ocamlnet-2.2.4-alt-makefile.patch
Patch2: ocamlnet-2.2.4-alt-kprintf.patch
Patch3: ocamlnet-2.2.8-debian-no-gpl.patch
Patch4: ocamlnet-2.2.8-debian-camlp5.patch
Patch5: ocamlnet-2.2.9-glibc28.patch

Requires: ocaml = %{get_SVR ocaml}
Requires: pcre-ocaml = %{get_SVR pcre-ocaml}

# Automatically added by buildreq on Wed Jul 16 2008
BuildRequires: camlp5 findlib lablgtk2 libtinfo-devel pcre-ocaml tcl-devel ocaml-ssl

#BuildRequires: XFree86-libs camlp4 findlib fontconfig freetype2 glib2 lablgtk2-runtime libncurses-devel libpcre-devel ocaml-runtime pcre-ocaml-runtime tcl-devel

BuildRequires: camlp5

BuildRequires: findlib >= 1.0.4
BuildRequires(pre): ocaml pcre-ocaml ocaml-runtime

%package runtime
Group: Development/ML
Summary: ocamlnet runtime libraries
Requires: ocaml-runtime = %{get_SVR ocaml-runtime}

%description

 The Ocamlnet project will provide a collection of modules for the
Objective Caml language which focus on application-level Internet
protocols and conventions.

The current distribution contains:

- a mature implementation of the CGI protocol

- an experimental POP3 client

- a library of string processing functions related to Internet
  protocols (formerly known as "netstring" and distributed separately)

%description runtime

 OcamlNET library runtime parts

%prep
%setup -q
%patch -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1

sed -i -e 's,@LIBDIR@,%_libdir,g' src/rpc-generator/Makefile

%build
./configure \
	-disable-gtk \
	-enable-gtk2 \
	-enable-tcl \
	-enable-ssl \
	-prefer-netcgi2 \
	-datadir %_datadir/netstring \
	-apxs %_sbindir/apxs2 \
	-apache %_sbindir/httpd2
%make_build all
%make_build opt

%install
#%%define _compress_method skip

mkdir -p %buildroot/%_libdir/ocaml/site-lib/
%make_install install \
	DESTDIR=%buildroot \
	OCAMLFIND_LDCONF=ignore \
	OCAMLFIND_DESTDIR=%buildroot%_libdir/ocaml/site-lib

mkdir -p %buildroot/%_libdir/ocaml/stublibs/
find %buildroot%_libdir/ocaml/site-lib -name 'dll*.so' -print | \
	while read lib; do mv $lib %buildroot%_libdir/ocaml/stublibs/; done

test -d doc/html && rm -fR doc/html
cp -R doc/html-main doc/html

%files
%doc LICENSE LICENSE.GPL LICENSE.LGPL ChangeLog RELNOTES examples doc/html
%_bindir/*
%dir %_libdir/ocaml/site-lib/cgi/
%_libdir/ocaml/site-lib/cgi/META
%dir %_libdir/ocaml/site-lib/equeue/
%_libdir/ocaml/site-lib/equeue/META
%_libdir/ocaml/site-lib/equeue/*.ml*
%_libdir/ocaml/site-lib/equeue/*.cm?*
%_libdir/ocaml/site-lib/equeue/*.o
%_libdir/ocaml/site-lib/equeue/*.a
%dir %_libdir/ocaml/site-lib/equeue-gtk2/
%_libdir/ocaml/site-lib/equeue-gtk2/META
%_libdir/ocaml/site-lib/equeue-gtk2/*.ml*
%_libdir/ocaml/site-lib/equeue-gtk2/*.cm?*
%_libdir/ocaml/site-lib/equeue-gtk2/*.a
%dir %_libdir/ocaml/site-lib/equeue-tcl/
%_libdir/ocaml/site-lib/equeue-tcl/META
%_libdir/ocaml/site-lib/equeue-tcl/*.ml*
%_libdir/ocaml/site-lib/equeue-tcl/*.cm?*
%_libdir/ocaml/site-lib/equeue-tcl/*.a
%dir %_libdir/ocaml/site-lib/equeue-ssl/
%_libdir/ocaml/site-lib/equeue-ssl/META
%_libdir/ocaml/site-lib/equeue-ssl/*.ml*
%_libdir/ocaml/site-lib/equeue-ssl/*.cm?*
%_libdir/ocaml/site-lib/equeue-ssl/*.a
%dir %_libdir/ocaml/site-lib/netcgi1/
%_libdir/ocaml/site-lib/netcgi1/META
%_libdir/ocaml/site-lib/netcgi1/*.ml*
%_libdir/ocaml/site-lib/netcgi1/*.cm?*
%_libdir/ocaml/site-lib/netcgi1/*.a
%dir %_libdir/ocaml/site-lib/netcgi2/
%_libdir/ocaml/site-lib/netcgi2/META
%_libdir/ocaml/site-lib/netcgi2/*.ml*
%_libdir/ocaml/site-lib/netcgi2/*.cm?*
%_libdir/ocaml/site-lib/netcgi2/*.a
%dir %_libdir/ocaml/site-lib/netcgi2-plex/
%_libdir/ocaml/site-lib/netcgi2-plex/META
%_libdir/ocaml/site-lib/netcgi2-plex/*.ml*
%_libdir/ocaml/site-lib/netcgi2-plex/*.cm?*
%_libdir/ocaml/site-lib/netcgi2-plex/*.a
%dir %_libdir/ocaml/site-lib/netclient/
%_libdir/ocaml/site-lib/netclient/META
%_libdir/ocaml/site-lib/netclient/*.ml*
%_libdir/ocaml/site-lib/netclient/*.cm?*
%_libdir/ocaml/site-lib/netclient/*.o
%_libdir/ocaml/site-lib/netclient/*.a
%dir %_libdir/ocaml/site-lib/netplex/
%_libdir/ocaml/site-lib/netplex/META
%_libdir/ocaml/site-lib/netplex/*.ml*
%_libdir/ocaml/site-lib/netplex/*.cm?*
%_libdir/ocaml/site-lib/netplex/*.o
%_libdir/ocaml/site-lib/netplex/*.a
%_libdir/ocaml/site-lib/netplex/netplex-packlist
%dir %_libdir/ocaml/site-lib/netshm/
%_libdir/ocaml/site-lib/netshm/META
%_libdir/ocaml/site-lib/netshm/*.ml*
%_libdir/ocaml/site-lib/netshm/*.cm?*
%_libdir/ocaml/site-lib/netshm/*.a
%dir %_libdir/ocaml/site-lib/netstring/
%_libdir/ocaml/site-lib/netstring/META
%_libdir/ocaml/site-lib/netstring/*.ml*
%_libdir/ocaml/site-lib/netstring/*.cm?*
%_libdir/ocaml/site-lib/netstring/*.o
%_libdir/ocaml/site-lib/netstring/*.a
%_datadir/netstring/cmap*.netdb
#%_libdir/ocaml/site-lib/netstring/cmap*.netdb
%_libdir/ocaml/site-lib/netstring/netdb-packlist
%dir %_libdir/ocaml/site-lib/netsys/
%_libdir/ocaml/site-lib/netsys/META
%_libdir/ocaml/site-lib/netsys/*.ml*
%_libdir/ocaml/site-lib/netsys/*.cm?*
%_libdir/ocaml/site-lib/netsys/*.a
%dir %_libdir/ocaml/site-lib/pop/
%_libdir/ocaml/site-lib/pop/META
%_libdir/ocaml/site-lib/pop/*.ml*
%_libdir/ocaml/site-lib/pop/*.cm?*
%_libdir/ocaml/site-lib/pop/*.a
%dir %_libdir/ocaml/site-lib/rpc/
%_libdir/ocaml/site-lib/rpc/META
%_libdir/ocaml/site-lib/rpc/*.ml*
%_libdir/ocaml/site-lib/rpc/*.cm?*
%_libdir/ocaml/site-lib/rpc/*.a
%dir %_libdir/ocaml/site-lib/rpc-auth-local/
%_libdir/ocaml/site-lib/rpc-auth-local/META
%_libdir/ocaml/site-lib/rpc-auth-local/*.ml*
%_libdir/ocaml/site-lib/rpc-auth-local/*.cm?*
%_libdir/ocaml/site-lib/rpc-auth-local/*.a
%dir %_libdir/ocaml/site-lib/rpc-generator/
%_libdir/ocaml/site-lib/rpc-generator/META
%_libdir/ocaml/site-lib/rpc-generator/*.ml*
%_libdir/ocaml/site-lib/rpc-generator/*.cm?*
%_libdir/ocaml/site-lib/rpc-generator/*.a
%_libdir/ocaml/site-lib/rpc-generator/rpcgen-packlist
%dir %_libdir/ocaml/site-lib/rpc-ssl/
%_libdir/ocaml/site-lib/rpc-ssl/META
%_libdir/ocaml/site-lib/rpc-ssl/*.ml*
%_libdir/ocaml/site-lib/rpc-ssl/*.cm?*
%_libdir/ocaml/site-lib/rpc-ssl/*.a
%dir %_libdir/ocaml/site-lib/shell/
%_libdir/ocaml/site-lib/shell/META
%_libdir/ocaml/site-lib/shell/*.ml*
%_libdir/ocaml/site-lib/shell/*.cm?*
%_libdir/ocaml/site-lib/shell/*.o
%_libdir/ocaml/site-lib/shell/*.a
%dir %_libdir/ocaml/site-lib/smtp/
%_libdir/ocaml/site-lib/smtp/META
%_libdir/ocaml/site-lib/smtp/*.ml*
%_libdir/ocaml/site-lib/smtp/*.cm?*
%_libdir/ocaml/site-lib/smtp/*.a

%files runtime
%_libdir/ocaml/stublibs/dll*.so

%changelog
* Wed Oct 28 2008 Veaceslav Grecea <slavutich@altlinux.org> 2.2.9-alt5
- rebuild

* Wed Oct 28 2008 Veaceslav Grecea <slavutich@altlinux.org> 2.2.9-alt4
- Fixed build with gcc 4.3

* Wed Sep 30 2008 Veaceslav Grecea <slavutich@altlinux.org> 2.2.9-alt3
- Added lost Requires

* Wed Sep 17 2008 Veaceslav Grecea <slavutich@altlinux.org> 2.2.9-alt2
- Added equeue-ssl, rpc-ssl
- Relocated lib*.a from stublibs to site-lib/<net-lib>

* Fri Nov 16 2007 Alex V. Myltsev <avm@altlinux.ru> 2.2.9-alt1
- New upstream release.

* Thu Jan 18 2007 Grigory Batalov <bga@altlinux.ru> 2.2.4-alt1
- New upstream release.
- Use %%get_SVR macro.
- Specfile cleanup.
- Strict packaging.
- Build requirements updated.

* Wed Dec 28 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.98-alt1.1
- Rebuild with ocaml-3.08.1-alt1.1 .

* Mon Nov 01 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt1
- new version

* Sun Jul 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt6
- rebuild

* Wed Jul 07 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt5
- rebuild

* Fri May  7 2004 Alexander V. Nikolaev <avn@altlinux.org> 0.97-alt4.1
- Non-maintainer upload
- Add "packager" to spec
- Rebuild with glibc 2.3.x and ocaml 3.07-alt6.1

* Wed Mar 17 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt4
- rebuild

* Wed Feb 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt3
- rebuild

* Tue Jan 27 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt2
- rebuild

* Tue Dec 16 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt1
- new version

* Wed Nov 12 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt5
- relaxed elf verifying

* Fri Oct 10 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt4s
- rebuild

* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt3s
- rebuild (3.07bs)

* Sat Jun 28 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt2s
- bugfix (wrong installation paths for a codepage files fixed)

* Tue Jun 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt1s
- a new version

* Sat Mar 15 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.95-alt1s
- new version

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.94-alt1s
- rebuild with shared libs support

* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.94-alt1
- new version

* Thu Aug 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.93-alt1
- new version

* Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.92-alt3
- rebuild: ocaml 3.05

* Tue Jun 25 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.92-alt2
- strange ocamlfind-mini bug fixed

* Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.

